import React from "react";
import PlayerScoreTile from "./player-score-tile.component";

export default ({ scores }) => (
  <div className="player-scores__score-board">
    {
      scores
        .filter(({ currentRound }) => currentRound === null)
        .sort((p1, p2) => p1.totalScore > p2.totalScore ? -1 : (p1.totalScore < p2.totalScore ? 1 : 0))
        .map(({ name, guesses, totalScore }) => <PlayerScoreTile key={name} {...{ name, guesses, totalScore }} />)
    }
  </div>
);
