import React, { useState, useEffect } from "react";
import { getStatus } from "../../services/ggsh.service";

const ApiInfo = () => {
  const [{ loading, version, status }, setState] = useState({ loading: true, version: null, status: null });

  useEffect(() => {
    if (version && status) {
      return;
    }

    const fetchStatus = async () => {
      const { version, status } = await getStatus();
      setState({ loading: false, version, status });
    }

    fetchStatus();
  });
  
  if (loading) {
    return <p>Connecting to back-end...</p>
  }

  if (status !== "healthy") {
    return <p>Unable to communicate with API server! Error: {status}</p>
  }

  return <p>API Version: {version}</p>
  
}

export default ApiInfo;