import React, { useEffect, useState } from "react";
import ms from "pretty-ms";

export default ({ seconds, onTimeout }) => {
  const [remaining, setRemaining] = useState(seconds);
  useEffect(() => {
    const countDown = () => {
      setRemaining(remaining - 1)
      if (remaining <= 0) {
        onTimeout();
      }
    }
    const timer = setInterval(countDown, 1000);
    return () => { clearInterval(timer) };
  });

  return remaining > 0 
    ? <span className="timer">Time: <span className="timer__time">{ms(remaining * 1000)}</span></span> 
    : <span className="timer timer--timeout">Time's up!</span>
}
